# Example Motion Platform Plugin

@section ExampleMotionPlatformPlugin About example motion platform plugin

This code example shows how to use the Varjo Tracking Plugin API to
create a motion platform plugin.

@section ExampleBuild Building the example motion platform plugin

You will need following tools to build the example plugin:
* [Microsoft Visual Studio] (https://visualstudio.microsoft.com/)
* [Kitware CMake] (https://cmake.org/)

To build the example project bundled with this SDK, using Microsoft Visual Studio 2017 please
follow these steps:

* Open the the Visual Studio x64 Native tools command prompt

* Navigate to the example project directory, e.g.:

        cd C:\Development\VarjoPluginSDK\examples\ExampleMotionPlatformPlugin

* Create a build directory:

        mkdir build && cd build

* Use CMake to generate Microsoft Visual Studio project files:

        cmake.exe -G "Visual Studio 15 2017 Win64" ..

* Build the example plugin:

        cmake.exe --build . --config Release

* To work on the plugin in Microsoft Visual Studio, open the generated solution:

        start VarjoExampleMotionPlatformPlugin.sln
