#pragma once

#pragma once

#include <Varjo_motion_platform.h>

/**
 * Class implementing motion platform functionality
 */
class ExampleMotionPlatform
{
public:
    /**
     * Initializes motion platform system
     */
    ExampleMotionPlatform(                             //
        const varjo_PluginUtilityAPI* pluginUtilityAPI,    //
        varjo_PluginUtilitySession pluginUtilitySession);

    /**
     * Update pose
     */
    varjo_PluginStatus updatePose(const varjo_DevicePose* pose, varjo_DevicePose* updatedPose);

private:

    const varjo_PluginUtilityAPI* m_pluginUtilityAPI = nullptr;   //!< Pointer to the PluginUtilityAPI
    varjo_PluginUtilitySession m_pluginUtilitySession = nullptr;  //!< PluginUtilityAPI session handle
};
